kind: pipeline
type: docker
name: default

steps:
- name: deploy
  image: python:3.7
  environment:
    TOKEN:
      from_secret: token
    PROJECT:
      from_secret: project
  commands:
    - pip install requests # required for codedeploy_deploy.py
    - git archive -v -o bundle.zip --format=zip HEAD > /dev/null
    - python deployer.py
